PoliciesPolicyidVersionsVersion
Get a specific version of a policy.
Authorization
Authorization AuthorizationBearer <token>
In: header
Path Parameters
policyId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidversion*string
Query Parameters
organizationId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://app.devguard.ch/api/policies/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/?organizationId=string"{
"id": "string",
"version": "string",
"policyId": "string",
"title": "string",
"content": null,
"status": "DRAFT",
"categorySnapshot": null,
"approvedAt": "string",
"approvedBy": "string",
"changelog": "string",
"controlCoverageSnapshot": null,
"linkedImagesSnapshot": null,
"organizationId": "string",
"createdAt": "string"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}How is this guide?